unit Unit1;

{$mode objfpc}{$H+}

interface

uses
  Classes, SysUtils, FileUtil, Forms, Controls, Graphics, Dialogs, ComCtrls,
  StdCtrls;

type

  { TForm1 }

  TForm1 = class(TForm)
    Button1: TButton;
    ListView1: TListView;
    Memo1: TMemo;
    procedure Button1Click(Sender: TObject);
    procedure FormCreate(Sender: TObject);
    procedure ListView1Change(Sender: TObject; Item: TListItem;
      Change: TItemChange);
    procedure ListView1Insert(Sender: TObject; Item: TListItem);
  private

  public

  end;

var
  Form1: TForm1;

implementation

{$R *.lfm}

{ TForm1 }

procedure TForm1.Button1Click(Sender: TObject);
var
  item: TListItem;
begin
  item := Listview1.Items.Add;
  with item do
    Caption := 'Item' + IntToStr(Listview1.Items.Count);
end;

procedure TForm1.FormCreate(Sender: TObject);
var
  i: Integer;
begin
  for i:=0 to 1 do begin
    with ListView1.Items.Add do
      Caption := 'OnCreate, Item' + IntToStr(Listview1.Items.Count);
  end;
end;

procedure TForm1.ListView1Change(Sender: TObject; Item: TListItem;
  Change: TItemChange);
begin
  Memo1.Lines.Add('OnChange: ' + IntToStr(Listview1.Items.Count) + ' items');
end;

procedure TForm1.ListView1Insert(Sender: TObject; Item: TListItem);
begin
  Memo1.Lines.Add('OnInsert: ' + IntToStr(Listview1.Items.Count) + ' items');
end;

end.

